/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.sampleicefacesipc.bean.backing;

import com.icesoft.faces.component.ext.RowSelectorEvent;

import com.liferay.sampleicefacesipc.bean.model.CustomerListModel;
import com.liferay.sampleicefacesipc.transfer.Customer;

/**
 * @author Neil Griffin
 */
public class CustomerList {

	public CustomerListModel getCustomerListModel() {
		return _customerListModel;
	}

	public void selectionListener(RowSelectorEvent rowSelectorEvent) {
		Customer customer = _customerListModel.getAllCustomers().get(
			rowSelectorEvent.getRow());

		_customerListModel.setSelected(customer);
	}

	public void setCustomerListModel(CustomerListModel customerListModel) {
		_customerListModel = customerListModel;
	}

	private CustomerListModel _customerListModel;

}