/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.sampleicefacesipc.bean.support;

import com.liferay.sampleicefacesipc.service.BookingTypeService;
import com.liferay.sampleicefacesipc.transfer.BookingType;

import java.util.ArrayList;
import java.util.List;

import javax.faces.model.SelectItem;

/**
 * @author Neil Griffin
 */
public class ListSupport {

	public BookingTypeService getBookingTypeService() {
		return _bookingTypeService;
	}

	public List<SelectItem> getSelectItems() {
		if (_selectItems == null) {
			_selectItems = new ArrayList<SelectItem>();

			List<BookingType> bookingTypes =
				_bookingTypeService.getAllBookingTypes();

			for (BookingType bookingType : bookingTypes) {
				_selectItems.add(
					new SelectItem(
						bookingType.getBookingTypeId(),
						bookingType.getBookingTypeName()));
			}
		}

		return _selectItems;
	}

	public void setBookingTypeService(BookingTypeService bookingTypeService) {
		_bookingTypeService = bookingTypeService;
	}

	private BookingTypeService _bookingTypeService;
	private List<SelectItem> _selectItems;

}