/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.sampleicefacesipc.service.impl;

import com.liferay.sampleicefacesipc.service.BookingService;
import com.liferay.sampleicefacesipc.transfer.Booking;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Neil Griffin
 */
public class BookingServiceMockImpl implements BookingService {

	public List<Booking> getAllBookings() {
		if (_allBookings == null) {
			_allBookings = new ArrayList<Booking>();

			// Bookings for Brian Green

			long customerId = CustomerServiceMockImpl.ID_BRIAN_GREEN;

			_allBookings.add(
				new Booking(
					BookingTypeServiceMockImpl.TYPE_ID_RENTAL_CAR, customerId));
			_allBookings.add(
				new Booking(
					BookingTypeServiceMockImpl.TYPE_ID_HOTEL, customerId));
			_allBookings.add(
				new Booking(
					BookingTypeServiceMockImpl.TYPE_ID_AIRFARE, customerId));
			_allBookings.add(
				new Booking(
					BookingTypeServiceMockImpl.TYPE_ID_THEME_PARK, customerId));
			_allBookings.add(
				new Booking(
					BookingTypeServiceMockImpl.TYPE_ID_PLAY, customerId));

			// Bookings for Elizabeth Kessler

			customerId = CustomerServiceMockImpl.ID_LIZ_KESSLER;

			_allBookings.add(
				new Booking(
					BookingTypeServiceMockImpl.TYPE_ID_HOTEL, customerId));
			_allBookings.add(
				new Booking(
					BookingTypeServiceMockImpl.TYPE_ID_AIRFARE, customerId));
			_allBookings.add(
				new Booking(
					BookingTypeServiceMockImpl.TYPE_ID_THEME_PARK, customerId));

			// Bookings for Rich Shearer

			customerId = CustomerServiceMockImpl.ID_RICH_SHEARER;

			_allBookings.add(
				new Booking(
					BookingTypeServiceMockImpl.TYPE_ID_AIRFARE, customerId));
			_allBookings.add(
				new Booking(
				BookingTypeServiceMockImpl.TYPE_ID_RENTAL_CAR, customerId));
			_allBookings.add(
				new Booking(
					BookingTypeServiceMockImpl.TYPE_ID_PLAY, customerId));
			_allBookings.add(
				new Booking(
					BookingTypeServiceMockImpl.TYPE_ID_HOTEL, customerId));
		}

		return _allBookings;
	}

	public List<Booking> getBookingsByCustomerId(long customerId) {
		List<Booking> bookings = new ArrayList<Booking>();

		for (Booking booking : getAllBookings()) {
			if (booking.getCustomerId() == customerId) {
				bookings.add(booking);
			}
		}

		return bookings;
	}

	private List<Booking> _allBookings;

}