/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.sampleicefacesipc.service.impl;

import com.liferay.sampleicefacesipc.service.BookingTypeService;
import com.liferay.sampleicefacesipc.transfer.BookingType;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Neil Griffin
 */
public class BookingTypeServiceMockImpl implements BookingTypeService {

	public static final long TYPE_ID_AIRFARE = 1;

	public static final long TYPE_ID_CRUISE = 2;

	public static final long TYPE_ID_HOTEL = 3;

	public static final long TYPE_ID_PLAY = 4;

	public static final long TYPE_ID_RENTAL_CAR = 5;

	public static final long TYPE_ID_THEME_PARK = 6;

	public static final long TYPE_ID_TRAIN = 7;

	public List<BookingType> getAllBookingTypes() {
		if (_allBookingTypes == null) {
			_allBookingTypes = new ArrayList<BookingType>();

			_allBookingTypes.add(new BookingType(TYPE_ID_AIRFARE, "Airfare"));
			_allBookingTypes.add(new BookingType(TYPE_ID_CRUISE, "Cruise"));
			_allBookingTypes.add(new BookingType(TYPE_ID_HOTEL, "Hotel"));
			_allBookingTypes.add(new BookingType(TYPE_ID_PLAY, "Play/Theatre"));
			_allBookingTypes.add(
				new BookingType(TYPE_ID_RENTAL_CAR, "Rental Car"));
			_allBookingTypes.add(
				new BookingType(TYPE_ID_THEME_PARK, "Theme Park"));
			_allBookingTypes.add(new BookingType(TYPE_ID_TRAIN, "Train"));
		}

		return _allBookingTypes;
	}

	private List<BookingType> _allBookingTypes;

}