/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.sampleicefacesipc.transfer;

import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

/**
 * @author Neil Griffin
 */
public class Booking {

	public Booking(long bookingTypeId, long customerId) {
		Calendar today = GregorianCalendar.getInstance();

		Calendar weekFromToday = (Calendar)today.clone();

		weekFromToday.add(Calendar.DATE, 7);

		_bookingTypeId = bookingTypeId;
		_customerId = customerId;
		_startDate = new Date(today.getTimeInMillis());
		_finishDate = new Date(weekFromToday.getTimeInMillis());
	}

	public Booking(
		long bookingTypeId, long customerId, Date startDate, Date finishDate) {

		_bookingTypeId = bookingTypeId;
		_customerId = customerId;
		_startDate = startDate;
		_finishDate = finishDate;
	}

	public long getBookingTypeId() {
		return _bookingTypeId;
	}

	public long getCustomerId() {
		return _customerId;
	}

	public Date getFinishDate() {
		return _finishDate;
	}

	public Date getStartDate() {
		return _startDate;
	}

	public void setBookingTypeId(long bookingTypeId) {
		_bookingTypeId = bookingTypeId;
	}

	public void setCustomerId(long customerId) {
		_customerId = customerId;
	}

	public void setFinishDate(Date finishDate) {
		_finishDate = finishDate;
	}

	public void setStartDate(Date startDate) {
		_startDate = startDate;
	}

	private long _bookingTypeId;
	private long _customerId;
	private Date _startDate;
	private Date _finishDate;

}