/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.sampleicefacesipc.transfer;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Neil Griffin
 */
public class Customer {

	public Customer(long customerId, String firstName, String lastName) {
		_customerId = customerId;
		_firstName = firstName;
		_lastName = lastName;
	}

	public List<Booking> getBookings() {
		if (_bookings == null) {
			_bookings = new ArrayList<Booking>();
		}

		return _bookings;
	}

	public long getCustomerId() {
		return _customerId;
	}

	public String getFirstName() {
		return _firstName;
	}

	public String getLastName() {
		return _lastName;
	}

	public boolean isSelected() {
		return _selected;
	}

	public void setBookings(List<Booking> bookings) {
		_bookings = bookings;
	}

	public void setCustomerId(long customerId) {
		_customerId = customerId;
	}

	public void setFirstName(String firstName) {
		_firstName = firstName;
	}

	public void setLastName(String lastName) {
		_lastName = lastName;
	}

	public void setSelected(boolean selected) {
		_selected = selected;
	}

	private List<Booking> _bookings;
	private long _customerId;
	private String _firstName;
	private String _lastName;
	private boolean _selected;

}